Package tigase.server.amp.db

## Class MsgRepository.MsgDBItem<T>

- java.lang.Object
- - tigase.server.amp.db.MsgRepository.MsgDBItem<T>

- All Implemented Interfaces:
    `java.lang.Comparable<java.util.concurrent.Delayed>`, `java.util.concurrent.Delayed`
  Direct Known Subclasses:
    `MsgBroadcastRepository.BroadcastMsg`, `MsgRepository.MsgRepositoryMDBean.RepoAwareMsgDBItem`
  Enclosing class:
    MsgRepository<T,​S extends DataSource>

      public static class MsgRepository.MsgDBItem<T>
      extends java.lang.Object
      implements java.util.concurrent.Delayed

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `T` | `db_id` |
    `java.util.Date` | `expired` |
    `Element` | `msg` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MsgDBItem​(T db_id, Element msg, java.util.Date expired)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(java.util.concurrent.Delayed o)` |
    `long` | `getDelay​(java.util.concurrent.TimeUnit unit)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### db_id

          public final T db_id

    - #### expired

          public final java.util.Date expired

    - #### msg

          public final Element msg

  - ### Constructor Detail

    - #### MsgDBItem

          public MsgDBItem​(T db_id,
                           Element msg,
                           java.util.Date expired)

  - ### Method Detail

    - #### compareTo

          public int compareTo​(java.util.concurrent.Delayed o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<T>`

    - #### getDelay

          public long getDelay​(java.util.concurrent.TimeUnit unit)

      Specified by:
        `getDelay` in interface `java.util.concurrent.Delayed`